<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accounts</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li><a href="{% url 'logout' %}">Logout</a></li>
                <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                <li><a href="{% url 'create_category' %}">Create Category</a></li>
                <li><a href="{% url 'create_account' %}">Create Account</a></li>
                <li><a href="{% url 'category_list' %}">Categories</a></li>
                <li><a href="{% url 'account_list' %}">Accounts</a></li>
                {% else %}
                <li><a href="{% url 'signup' %}">Signup</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
                <li><a href="{% url 'home' %}">Main Page</a></li>
            </ul>
        </nav>
    </header>
    <h1>Accounts</h1>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of Receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for accounts in all_accounts %}
            <tr>
                <td>{{ accounts.name }}</td>
                <td>{{ accounts.number }}</td>
                <td>{{ accounts.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</body>
</html>